[Snort-users] Error opening adapter

L. Christopher Luther CLuther at ...6333...
Thu Jan 9 11:30:09 EST 2003


Snort, prior to v1.8.7, used older versions of WinPCap (e.g., 2.02), which
has a different set of files that the newer WinPCap distros.  The files
installed by these older versions of WinPCap are:  

    packet.dll  
    packet.sys  

WinPCap 2.3 has different files, which are used by the newer versions of
Snort.  WinPCap 2.3 installs the following files:  

    npf.sys  
    packet.dll  
    wpcap.dll  

If you're really using Snort 1.7, then you're using a version of WinPCap
that is too "new" for Snort.  Try a newer version of Snort (e.g., 1.8.7 or
1.9.0) or an older version of WinPCap (e.g., 2.02).  


Cheers!  

Christopher


-----Original Message-----
Date: Wed, 08 Jan 2003 11:10:42 -0600
From: Chris Liechty <cliechty at ...7953...>
Organization: UWSA
To: snort-users at lists.sourceforge.net
Subject: [Snort-users] Error opening adapter

6.14 --faq-- --snort-- --faq-- --snort-- --faq-- --snort-- --faq--

Q: I am using Snort on Windows and receive an OpenPcap() error upon 
startup: ERROR: OpenPcap() device open: Error opening adapter What's wrong?

A: Either winpcap is not installed, or you are using an incompatible 
version. Try upgrading to the latest version (2.1 as of 4/11/01). It is 
available from http://netgroup-serv.polito.it/winpcap/
------------------------------------------------------------------------

Greetings all,

I've installed WinPcap 2.3 and rebooted.  Then I used the Windows 
Installer for Snort from Silicondefense.com to install Snort (Snort1.7 
with IDSCenter 1.08d) on a Windows 2000 machine.

When I click on "Test Configuration" I get the same error as reported in 
the FAQ.  Any ideas?

Thanks,
Chris.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20030109/88ca3b19/attachment.html>


More information about the Snort-users mailing list